i2o_dma_realloc
Prev | I2O message devices | Next

## Name

i2o_dma_realloc — Realloc DMA memory

## Synopsis

`int i2o_dma_realloc (` | struct device * | dev,
| struct i2o_dma * | addr,
| size_t | len,
| gfp_t | gfp_mask`)`;

## Arguments

`dev`

  struct device pointer to the PCI device of the I2O controller

`addr`

  pointer to a i2o_dma struct DMA buffer

`len`

  new length of memory

`gfp_mask`

  GFP mask

## Description

If there was something allocated in the addr, free it first. If len > 0 than try to allocate it and write the addresses back to the addr structure. If len == 0 set the virtual address to NULL.

Returns the 0 on success or negative error code on failure.

Prev | Up | Next
i2o_dma_free | Home | i2o_driver_notify_controller_add